<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        console.log("hello".length);
        console.log("hello".toUpperCase());

        const obj1 = {
            message: "hello"
        }
        // even thou we use const to create obj we can change property in the object as it just show refrence to property
        const obj2 = obj1;

        console.log(obj2 === obj1)  //true
        //becoz they point to same reference

        obj3={
            message:"hello"
        }

        console.log(obj1===obj3) //false
        //obj are references not actuall value .. here  both point to different reference 
        //becoz 
    </script>
</body>
</html>